import { FieldInfo } from 'model-util-base';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-28 13:44
 */
export interface GatewayVO {
    /**
    * id
    * @type { string }
    */
    id?: string;
    /**
    * k8s_id
    * @type { string }
    */
    k8sId?: string;
    /**
    * name
    * @type { string }
    */
    name?: string;
    /**
    * label
    * @type { string }
    */
    label?: string;
    /**
    * config_center_code
    * @type { string }
    */
    configCenterCode?: string;
    /**
    * image_id
    * @type { string }
    */
    imageId?: string;
    /**
    * spec_name
    * @type { string }
    */
    specName?: string;
    /**
    * metrics_name
    * @type { string }
    */
    metricsName?: string;
    /**
    * image_port_mapping
    * @type { string }
    */
    imagePortMapping?: string;
    /**
    * domain
    * @type { string }
    */
    domain?: string;
    /**
    * uri
    * @type { string }
    */
    uri?: string;
    /**
    * slb
    * @type { string }
    */
    slb?: string;
    /**
    * deleted
    * @type { string }
    */
    deleted?: string;
}
export declare class GatewayVOMI {
    static get ID(): FieldInfo;
    static get K8S_ID(): FieldInfo;
    static get NAME(): FieldInfo;
    static get LABEL(): FieldInfo;
    static get CONFIG_CENTER_CODE(): FieldInfo;
    static get IMAGE_ID(): FieldInfo;
    static get SPEC_NAME(): FieldInfo;
    static get METRICS_NAME(): FieldInfo;
    static get IMAGE_PORT_MAPPING(): FieldInfo;
    static get DOMAIN(): FieldInfo;
    static get URI(): FieldInfo;
    static get SLB(): FieldInfo;
    static get DELETED(): FieldInfo;
}
